Bug 1352205 - KDE Logout/Shutdown buttons not working right after update, system cannot be turned off
Summary: KDE Logout/Shutdown buttons not working right after update, system cannot be ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-02 12:42 UTC by Basic Six
Modified: 2020-05-26 18:12 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:12:25 UTC
Type: Bug


Attachments (Terms of Use)
Shutdown/Restart buttons gone, Logout button dead after update (100.53 KB, image/png)
2020-01-20 21:48 UTC, Basic Six
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1662255 0 unspecified CLOSED Suspend to disk (hibernate) broken after upgrade to Fedora 29 2021-02-22 00:41:40 UTC

Description Basic Six 2016-07-02 12:42:06 UTC
Description of problem:

After updating the system using "dnf update" while running KDE, the system can't be turned off anymore because the "Logout"/"Shutdown" buttons in the KDE menu don't work anymore. The system has to be turned off forcefully using the "poweroff" command, if one has root access. A regular user would not be able to turn the system off and would simply cut the power, which could cause data corruption.
After a reboot, everything works as it always did and the "Shutdown" button would show the dialog that allows the user to initiate a shutdown. However, right after the update has completed and as long as the user is still logged in, clicking on one of those buttons does not show a shutdown dialog.
It does however seem to freeze the screen in a way. It's not completely frozen because the clock is still being updated, but a desktop icon that was highlighted while the mouse was hovering over it (before opening the menu) is still highlighted even when the mouse is moved to another desktop icon. In the same way, other visual effects are not working either. For example, using a window theme that has a white X button which turns red on hover, X buttons stay white when moving the mouse over them. The same goes for other visual elements that would light up or change their appearance on hover. Clicking anywhere on the screen unfreezes the screen. This "semi-frozen" screen is a bit inconvenient, but the real problem is that the shutdown dialog never shows up.



Version-Release number of selected component (if applicable):

Fedora 23 and possibly other systems running KDE.



How reproducible:

Not sure.



Steps to Reproduce:
1. dnf update
2. KDE menu -> Shutdown
3. Hold the power button to cut the power (risking corruption) because shutdown doesn't work.



Actual results:

Instead of a shutdown dialog, the screen appears to freeze up until clicked.



Expected results:

The shutdown dialog should show up like it always does.



Additional info:

The KDE menu itself seems to be fine because other programs can be started.

Comment 1 Fedora End Of Life 2016-11-25 09:23:31 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2016-12-20 21:07:36 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Basic Six 2018-05-08 16:55:53 UTC
This just happened (in a slightly different variation) on Fedora 27:
After updating the system, the (kickstart) start menu button doesn't work at all anymore. Left click doesn't work anymore (right click does), Alt+F1 doesn't work either. They menu won't open.

It's not possible to log out or shut down.

This command still works, but it's not easy to find (most tips found online are for KDE 4):
$ qdbus org.kde.ksmserver /KSMServer logout 1 3 3

Comment 4 Ben Cotton 2018-11-27 15:47:37 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 21:30:22 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Basic Six 2020-01-20 21:48:12 UTC
Created attachment 1654038 [details]
Shutdown/Restart buttons gone, Logout button dead after update

Here's what it looks like in Fedora 30, after performing a system update using dnf update (couldn't use dnfdragora as it keeps saying "dnf is locked by another application" even though pidof /usr/bin/dnf doesn't find anything).

The shutdown/restart buttons have disappeared. If this leads users to pull the power plug, that's not good.

The logout button is dead as well so it's not possible to log out and then use the shutdown function in the login screen (gdm or lightdm). That's really not good. How is a regular user supposed to shutdown like this?

Fortunately, this command appears to work:
qdbus org.kde.ksmserver /KSMServer logout 1 3 3

Comment 7 Basic Six 2020-01-23 16:54:08 UTC
By the way. On a Fedora 31 system that's regularly being put in hibernation mode, the hibernate button has suddenly disappeared from the KDE menu.

$ qdbus org.kde.Solid.PowerManagement /org/freedesktop/PowerManagement CanHibernate && qdbus org.kde.Solid.PowerManagement /org/freedesktop/PowerManagement Hibernate
Service 'org.kde.Solid.PowerManagement' does not exist.

Comment 8 Ben Cotton 2020-04-30 20:31:31 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2020-05-26 18:12:25 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.